package validation;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/*
*  MoveSJISSorterクラス
*
*  技配列のSJIS順のソートを行います。
*  Validation向けのクラスです。
*
*  変更履歴
*  2021/05/09 新規作成
*
*/

public class MoveSJISSorter {

	// ソート定義オブジェクトの生成
	public MoveSJISSorterComparator comparator = new MoveSJISSorterComparator();

	/* 技配列のSJIS順のソートを行うメソッド
	 *   引数　：種族配列（要素数4のString配列）
	 *   戻り値：種族配列（要素数4のString配列）
	 *   例外　：無し
	 */
    public String[] execute(String[] inputList) {

    	// Listの作成
    	List<String> tmpList = new ArrayList<>();
    	int i = 0;
    	while(i < 4 && inputList[i] != null){
    		if (comparator.getSortOrder(inputList[i]) != 65535) {
    			tmpList.add(inputList[i]);
    		}
    		i++;
    	}

    	// ソートの実施
    	Collections.sort(tmpList, comparator);

    	// 配列形式にして返却
    	String[] outputList = {null,null,null,null};
    	i = 0;
    	for(String name: tmpList){
    		outputList[i] = name;
    		i++;
    	}
    	return outputList;

    }

}
