package validation;

import mold.PokeMold;

/*
*  SpeciesValidationCheckForNC2000クラス
*
*  ニンテンドウカップ2000での禁止種族が使われていないことをチェックするクラスです。
*
*  変更履歴
*  2021/05/15 新規作成
*
*/

public class SpeciesValidationCheckForNC2000 {

	/* 種族のチェックするメソッド
	 *   引数　：PokeMoldオブジェクト、ValidationMessageStoreオブジェクト
	 *   戻り値：無し
	 *   例外　：無し
	 */
    public void execute(PokeMold pokeMold, ValidationMessageStore validationMessageStore) {

    	if (pokeMold.speciesName.equals("ミュウツー") ||
    		pokeMold.speciesName.equals("ミュウ") ||
    		pokeMold.speciesName.equals("ルギア") ||
    		pokeMold.speciesName.equals("ホウオウ") ||
    		pokeMold.speciesName.equals("セレビィ")) {
    		validationMessageStore.errorMessagesList.add("・" + pokeMold.speciesName +"はニンテンドウカップ２０００で使用禁止です。");
    	}

    	return;

    }

}
